Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.basic
Class BasicComboBoxUI.ItemHandler

    java.lang.Object
      javax.swing.plaf.basic.BasicComboBoxUI.ItemHandler

All Implemented Interfaces:
  ItemListener, EventListener

Enclosing class:
  BasicComboBoxUI

    public class BasicComboBoxUI.ItemHandler

extends Object
implements ItemListener

This listener watches for changes to the selection in the combo box.

This public inner class should be treated as protected. Instantiate it only within subclasses of `BasicComboBoxUI`.

See Also:
  `BasicComboBoxUI.createItemListener()`

Constructor Summary
`BasicComboBoxUI.ItemHandler()`

Method Summary
`void` | `itemStateChanged(ItemEvent e)` Invoked when an item has been selected or deselected by the user.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicComboBoxUI.ItemHandler

    public BasicComboBoxUI.ItemHandler()

Method Detail

### itemStateChanged

    public void itemStateChanged(ItemEvent e)

  Description copied from interface: `ItemListener`
  Invoked when an item has been selected or deselected by the user. The code written for this method performs the operations that need to occur when an item is selected (or deselected).

  Specified by:
    `itemStateChanged` in interface `ItemListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2009 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.